Delete Record By Id . Supported Objects are business and custom objects.

http
DELETE https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
schemaKeystringYescustom_objects.pet or business.email (for company's email)The key of the Custom Object / Standard Object Schema. For custom objects, the key must include the “custom_objects.” prefix, while standard objects use their respective object keys. This information is available on the Custom Objects Details page under Settings.
idstringYes632c34b4c9b7da3358ac9891id of the record to be updated. Available on the Record details page under the 3 dots or in the url

Responses

200 - Successful response
  • id (string): id of the deleted object Example: 661c06b4ffde146bdb469442

  • success (boolean): boolean that defines if the operation was a success or not Example: True

json
{
  "id": "661c06b4ffde146bdb469442",
  "success": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X DELETE 'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?